<main>
	<%- include('../partials/donorSidebar') %>
	
	<div id="main-wrapper">
		<div class="bg-white shadow-sm p-3">
			<span class="me-3" id="sidebar-toggler-btn"><i class="fas fa-bars"></i></span>
			<h5 class="m-0 color-theme d-inline-block">Donate</h5>
		</div>
		
		<form action="/donor/donate" method="POST" class="border m-4 my-3 p-4 bg-white rounded-2 shadow">
			<div class="mb-4">
				<label for="food" class="form-label">Blood type</label>
				<input type="text" name="donation[foodType]" class="form-control" id="food" placeholder="Enter blood type.." required autofocus>
			</div>
			
			<div class="row">
				<div class="mb-4 col-sm-6">
					<label for="quantity" class="form-label">Quantity(in litre)</label>
					<input type="text" name="donation[quantity]" class="form-control" id="quantity" placeholder="Enter quantity of blood.." required>
				</div>
				
				<div class="mb-4 col-sm-6">
					<label for="time" class="form-label">Time of submission</label>
					<input type="datetime-local" name="donation[cookingTime]" class="form-date-input" id="time" required>
				</div>
			</div>
			
			<div class="row">
				<div class="mb-4 col-sm-8">
					<label for="address" class="form-label">Address to collect</label>
					<input type="text" name="donation[address]" class="form-control" id="address" placeholder="Enter address.." value="<%= currentUser.address %>" required>
				</div>
				
				<div class="mb-4 col-sm-4">
					<label for="phone" class="form-label">Phone</label>
					<input type="number" name="donation[phone]" class="form-control" id="phone" placeholder="Enter phone.." value="<%= currentUser.phone %>" required>
				</div>
			</div>
			
			<div class="mb-4">
				<label for="msg" class="form-label">Want to write some message?</label>
				<textarea type="text" name="donation[donorToAdminMsg]" class="form-control" id="msg" placeholder="You can write here some msg.."></textarea>
			</div>
			
			<button type="submit" class="btn w-75 d-block m-auto mt-4">Submit</button>
		</form>
		
	</div>
</main>

<script>
	const d = new Date();
	const dateString = d.getFullYear() + "-" + ("0"+(d.getMonth()+1)).slice(-2) + "-" + ("0" + d.getDate()).slice(-2) + "T" + ("0" + d.getHours()).slice(-2) + ":" + ("0" + d.getMinutes()).slice(-2);
	document.getElementById("time").value = dateString;
</script>